net.minecraftforge.event.world

## Enum NoteBlockEvent.Instrument

- java.lang.Object
- - java.lang.Enum<NoteBlockEvent.Instrument>
  - - net.minecraftforge.event.world.NoteBlockEvent.Instrument

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NoteBlockEvent.Instrument>
  Enclosing class:
    NoteBlockEvent

      public static enum NoteBlockEvent.Instrument
      extends java.lang.Enum<NoteBlockEvent.Instrument>

  Describes the types of musical Instruments that can be played by a Noteblock. The Instrument being played can be overridden with `NoteBlockEvent.Play#setInstrument(Instrument)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASSDRUM`
    `BASSGUITAR`
    `CLICKS`
    `PIANO`
    `SNARE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NoteBlockEvent.Instrument` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NoteBlockEvent.Instrument[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PIANO

          public static final NoteBlockEvent.Instrument PIANO

    - #### BASSDRUM

          public static final NoteBlockEvent.Instrument BASSDRUM

    - #### SNARE

          public static final NoteBlockEvent.Instrument SNARE

    - #### CLICKS

          public static final NoteBlockEvent.Instrument CLICKS

    - #### BASSGUITAR

          public static final NoteBlockEvent.Instrument BASSGUITAR

  - ### Method Detail

    - #### values

          public static NoteBlockEvent.Instrument[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NoteBlockEvent.Instrument c : NoteBlockEvent.Instrument.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NoteBlockEvent.Instrument valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null